import React, {Component} from 'react';
import DefaultPreference from 'react-native-default-preference';

import {

  AppRegistry,

  StyleSheet,

  Text,

  View,

  Image,

  TextInput,

  Button,

  Alert,

  TouchableHighlight,

} from 'react-native';

import PayPal from 'react-native-paypal-wrapper';

 

export default class PaypalComponent extends Component {

  constructor(props) {
    super(props);
  }

  componentWillMount() {
    let currentComponent = this;
    DefaultPreference.get('amount').then(function(value) {{
      currentComponent.setState({ amount: value })
      {currentComponent.onPressButton()}
    }
    });
  }


  onPressButton() {
    var amount = this.state.amount;

    PayPal.initialize(

      PayPal.SANDBOX,

      'AVdqBEfhF48Rfjf47AxSFYQKdMnRaeKbDU2W5umD9W8tJsNMqMEgRuMKlOwrj7XrvPstWpolBC4EbVGw',

    );

    PayPal.pay({

      price: amount,

      currency: 'AUD', //'AUD',

      description: 'E-Shop',

    })

      .then(confirm => { // handle success
        alert(`Transaction Successful \n ${confirm}`);
        DefaultPreference.set('status', 'Approved').then(function() {console.log('done')});
        this.props.navigation.pop();
      })

      .catch(error => { // handle fail
        alert(`Transaction Failed \n ${error}`);
        DefaultPreference.set('status', 'Failed').then(function() {console.log('done')});
        this.props.navigation.pop();
      });

  }

    render() {
        
        return (
                
                <View style={styles.container}>
                <View style={styles.buttonContainer}>
                </View>
                </View>
                
                );
        
    }

}

const styles = StyleSheet.create({
  container: {
   flex: 1,
   justifyContent: 'center',
 },
 buttonContainer: {
  margin: 20
},
alternativeLayoutButtonContainer: {
  margin: 20,
  flexDirection: 'row',
  justifyContent: 'space-between'
}
});
